package com.red.circle.wallet.inner.model.enums;

/**
 * 糖果来源
 *
 * @author pengliang on 2021/10/11 16:15
 */
public enum BeanOrigin {

  /**
   * 奖励金币.
   */
  REWARD_COINS("Reward coins"),

  /**
   * 扣除金币.
   */
  DEDUCT_COINS("Deduct coins"),

  /**
   * 收取豆子.
   */
  CHARGE_BEAN("Charge bean"),

  /**
   * 偷取豆子.
   */
  STEAL_BEAN("Steal bean"),

  /**
   * 激活宠物.
   */
  ACTIVATE_PET("Activate pet"),

  /**
   * 豆子转换金币.
   */
  BEAN_TO_GOLD("Bean to gold"),

  /**
   * 宠物转盘抽奖.
   */
  PET_TURNTABLE_LOTTERY("Pet Turntable Lottery"),

  /**
   * 加入房间.
   */
  JOIN_ROOM("Join room"),


  ;


  private final String desc;

  BeanOrigin(String desc) {
    this.desc = desc;
  }

  public String getDesc() {
    return desc;
  }
}
